Bug 248662 - hibernate fails on Fedora 7 with Compaq nx 6110 (regression from FC6)
hibernate fails on Fedora 7 with Compaq nx 6110 (regression from FC6)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i686 Linux
low Severity high
: ---
: ---
Assigned To: Nigel Cunningham
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-17 20:58 EDT by Sergio Monteiro Basto
Modified: 2008-05-28 13:31 EDT (History)
0 users

See Also:
Fixed In Version: 2.6.23 or 24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-28 13:31:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 8592 None None None Never

  None (edit)
Description Sergio Monteiro Basto 2007-07-17 20:58:53 EDT
+++ This bug was initially created as a clone of Bug #243759 +++

Description of problem:

Fedora 7's default kernel don't hibernate with Fedora 7
with pm-hibernate
while it worked with FC6.

Version-Release number of selected component (if applicable):
kernel-2.6.21-1.3194
and
kernel-2.6.21-1.3228

How reproducible:

every time


Steps to Reproduce:

1. boot on F7
2. after login on X do pm-hibernate as root 
3. if I press space on the computer to shutdown after a while 
4. press power button
5. and computer when should wake up don't, and after while after press key or in
lid or in power button wakes but shut down again.

on fc6, hibernate works fine


Additional info:

I tried  build a kernel from FC6 (rpm -iv ~/kernel-2.6.20-1.2962.fc6.src.rpm 
cd /usr/src/redhat/SPECS/; rpmbuild -ba kernel-2.6.spec --with baseonly
--target=i686; rpm -ivh
/usr/src/redhat/RPMS/i686/kernel-2.6.20-1.2962.fc7.i686.rpm )

and using the same rpms (system) just change the kernel, boot with
kernel-2.6.20-1.2962.fc7 I don't have any problem.

I had try the new Test kernel 2.6.21-1.3255.fc7 and hibernate much better , but
after the first hibernate, computer lose the acpi events i.e. , battery status
don't change and the power management is bad. If I press lid button the screen
stay black after leave lid button, (I had to press ctrl+alt+ F1, to go to on
console and ctrl+alt+F7 to get back to X) 

other thing , with kernel 2.6.21 my hard disk becomes /dev/sda instead /dev/hda
on kernel 2.4.20 , and with kernel 2.4.21 appears on dmesg, messages that hard
disks sda doesn't support DPO or FUA
Comment 1 Nigel Cunningham 2007-09-10 20:09:26 EDT
Hi Sergio.

The change from /dev/hda to /dev/sda is to be expected - we're using the newer
libata drivers in the newer kernels.

The loss of ACPI events sounds like an issue that has seen some work since
2.6.21 (IIRC). Are you able to try a newer kernel and see if you have better
success with it?
Comment 2 Sergio Monteiro Basto 2007-09-11 08:16:10 EDT
(In reply to comment #1) 
> The loss of ACPI events sounds like an issue that has seen some work since
> 2.6.21 (IIRC). 

Yes I got this problem with kernel 2.6.21 and upper 

>Are you able to try a newer kernel and see if you have better
> success with it?

I already try , the strange thing, now with latest updates , is computer stops
hibernation on suspend consoles, but if I press on a key (for example enter),
just after enter in suspend console sometimes hibernation is more quick and
successful.
The bigger problem now, if I do nothing hibernation process can take more than a
1/2 hour.  

Comment 3 Sergio Monteiro Basto 2007-09-14 23:47:08 EDT
no "big" differences 
Comment 4 Sergio Monteiro Basto 2007-09-15 19:20:03 EDT
(In reply to comment #3)
> no "big" differences 
oops , I confuse this bug with bug 8592 of kernel bugzilla.
Made more sense report here the test with new kernel  kernel-2.6.22.5-76.fc7 
I test hibernate from console (ctrl+alt+f1) using the kernel built-in code,
doing (suggest in Linux kernel bugzilla):
# echo disk > /sys/power/state

and no significant differences, I almost can hibernate correctly the laptop 
when computer stops on "suspend consoles" if I click many times in enter and in
space .
but after wakeup, turn computer off again it very very slow, I had to use the
technicy, press enters and spaces and waste more time than usual to shutdown. 
Comment 5 Nigel Cunningham 2007-12-10 16:52:48 EST
Sorry for the slow reply.

Could you try a newer kernel again? This sounds like an issue with the NOHZ
support, which has been seeing some work. It may be that a newer kernel now
doesn't require you to keep pressing keys to get it to finish the job, and works
more reliably post-resume too.
Comment 6 Sergio Monteiro Basto 2007-12-24 23:35:35 EST
on external reference http://bugzilla.kernel.org/show_bug.cgi?id=8592,
hibernation and suspend works on with 2.6.23+
Comment 7 Sergio Monteiro Basto 2008-02-24 19:45:24 EST
(In reply to comment #5)
> Sorry for the slow reply.
> 
> Could you try a newer kernel again? This sounds like an issue with the NOHZ
> support, which has been seeing some work. It may be that a newer kernel now
> doesn't require you to keep pressing keys to get it to finish the job, and works
> more reliably post-resume too.

Hi , I got same problems "require you to keep pressing keys to get it to finish
the job ..." on kernel from devel 2.6.24 and 25 rc, how know if NOHZ support is
enabled ? and how I disable it ? 




Comment 8 Bug Zapper 2008-05-13 23:04:52 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Sergio Monteiro Basto 2008-05-28 13:30:38 EDT
this is fixed for me ... 

Note You need to log in before you can comment on or make changes to this bug.